#!/bin/bash

set -e

TYPE=$1
NAME=$2
STATE=$3
case $STATE in
    "MASTER")
        systemctl start opennebula
        systemctl start opennebula-sunstone
        systemctl start opennebula-scheduler
        systemctl start opennebula-novnc
        exit 0
        ;;
    "BACKUP")
        systemctl stop opennebula
        systemctl stop opennebula-sunstone
        systemctl stop opennebula-scheduler
        systemctl stop opennebula-novnc
        exit 0
        ;;
    "FAULT")
        systemctl stop opennebula
        systemctl stop opennebula-sunstone
        systemctl stop opennebula-scheduler
        systemctl stop opennebula-novnc
        exit 0
        ;;
    *)  /sbin/logger "opennebula: unknown state"
        exit 1
        ;;
esac
